| eMD IIM4265x Driver API 1.0.0

Data Fields
inv_ixm42xxx Struct Reference
Ixm42xxx driver high level functions

Ixm42xxx driver states definition. More...

`#include <Ixm42xxxDriver_HL.h>`

Collaboration diagram for inv_ixm42xxx:
[legend]

## Data Fields
struct inv_ixm42xxx_transport | transport
void(* | sensor_event_cb )(inv_ixm42xxx_sensor_event_t *event)
int | gyro_st_bias [3]
int | accel_st_bias [3]
int | st_result
uint8_t | fifo_data [IXM42XXX_FIFO_MIRRORING_SIZE]
uint8_t | tmst_to_reg_en_cnt
uint8_t | dmp_is_on
uint64_t | gyro_start_time_us
uint64_t | accel_start_time_us
uint8_t | endianess_data
uint8_t | fifo_highres_enabled
INV_IXM42XXX_FIFO_CONFIG_t | fifo_is_used
uint8_t | fsync_to_be_ignored
uint32_t | wu_off_acc_odr_changes
uint8_t | wom_smd_mask
uint8_t | wom_enable
struct {
uint8_t acc_lp_avg
uint8_t reserved
uint8_t acc_ln_bw
uint8_t gyr_ln_bw
} | avg_bw_setting
uint64_t | gyro_power_off_tmst

## Detailed Description

Ixm42xxx driver states definition.

Definition at line 164 of file Ixm42xxxDriver_HL.h.

## Field Documentation

## ◆ acc_ln_bw

uint8_t acc_ln_bw

Low-noise filter bandwidth setting for accelerometer

Definition at line 215 of file Ixm42xxxDriver_HL.h.

## ◆ acc_lp_avg

uint8_t acc_lp_avg

Low-power averaging setting for accelerometer

Definition at line 213 of file Ixm42xxxDriver_HL.h.

## ◆ accel_st_bias

int accel_st_bias[3]

Definition at line 174 of file Ixm42xxxDriver_HL.h.

## ◆ accel_start_time_us

uint64_t accel_start_time_us

internal state needed to discard first accel samples

Definition at line 184 of file Ixm42xxxDriver_HL.h.

## ◆ avg_bw_setting

struct { ... } avg_bw_setting

## ◆ dmp_is_on

uint8_t dmp_is_on

DMP started status

Definition at line 181 of file Ixm42xxxDriver_HL.h.

## ◆ endianess_data

uint8_t endianess_data

internal status of data endianess mode to report correctly data

Definition at line 185 of file Ixm42xxxDriver_HL.h.

## ◆ fifo_data

uint8_t fifo_data[IXM42XXX_FIFO_MIRRORING_SIZE]

FIFO mirroring memory area

Definition at line 177 of file Ixm42xxxDriver_HL.h.

## ◆ fifo_highres_enabled

uint8_t fifo_highres_enabled

FIFO packets are 20 bytes long

Definition at line 186 of file Ixm42xxxDriver_HL.h.

## ◆ fifo_is_used

INV_IXM42XXX_FIFO_CONFIG_t fifo_is_used

Data are get from FIFO or from sensor registers. By default Fifo is used

Definition at line 187 of file Ixm42xxxDriver_HL.h.

## ◆ fsync_to_be_ignored

uint8_t fsync_to_be_ignored

Definition at line 195 of file Ixm42xxxDriver_HL.h.

## ◆ gyr_ln_bw

uint8_t gyr_ln_bw

Low-noise filter bandwidth setting for gyroscope

Definition at line 216 of file Ixm42xxxDriver_HL.h.

## ◆ gyro_power_off_tmst

uint64_t gyro_power_off_tmst

This variable keeps track of timestamp when gyro is power off

Definition at line 219 of file Ixm42xxxDriver_HL.h.

## ◆ gyro_st_bias

int gyro_st_bias[3]

collected bias values (lsb) during self test

Definition at line 173 of file Ixm42xxxDriver_HL.h.

## ◆ gyro_start_time_us

uint64_t gyro_start_time_us

internal state needed to discard first gyro samples

Definition at line 183 of file Ixm42xxxDriver_HL.h.

## ◆ reserved

uint8_t reserved

reserved field

Definition at line 214 of file Ixm42xxxDriver_HL.h.

## ◆ sensor_event_cb

void(* sensor_event_cb) (inv_ixm42xxx_sensor_event_t *event)

callback executed by inv_ixm42xxx_get_data_from_fifo function for each data packet extracted from fifo or inv_ixm42xxx_get_data_from_registers read data from register This field may be NULL if inv_ixm42xxx_get_data_from_fifo/inv_ixm42xxx_get_data_from_registers is not used by application.

Definition at line 168 of file Ixm42xxxDriver_HL.h.

## ◆ st_result

int st_result

Flag to keep track if self-test has been already run by storing acc and gyr results

Definition at line 175 of file Ixm42xxxDriver_HL.h.

## ◆ tmst_to_reg_en_cnt

uint8_t tmst_to_reg_en_cnt

internal counter to keep track of the timestamp to register access availability

Definition at line 179 of file Ixm42xxxDriver_HL.h.

## ◆ transport

struct inv_ixm42xxx_transport transport

Warning : this field MUST be the first one of struct ixm42xxx

Definition at line 159 of file Ixm42xxxDriver_HL.h.

## ◆ wom_enable

uint8_t wom_enable

This variable keeps track if wom is enabled

Definition at line 209 of file Ixm42xxxDriver_HL.h.

## ◆ wom_smd_mask

uint8_t wom_smd_mask

This variable keeps track if wom or smd is enabled

Definition at line 207 of file Ixm42xxxDriver_HL.h.

## ◆ wu_off_acc_odr_changes

uint32_t wu_off_acc_odr_changes

Definition at line 205 of file Ixm42xxxDriver_HL.h.

The documentation for this struct was generated from the following file:

- Ixm42xxxDriver_HL.h